<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<!--  -----------------------------------------

<?   // ---- MANUFACTURERS


  $manufacturers_query = tep_db_query("select manufacturers_id, manufacturers_name from " . TABLE_MANUFACTURERS . " order by manufacturers_name");
  if ($number_of_rows = tep_db_num_rows($manufacturers_query)) {

      echo ' <table cellspacing=0 cellpadding=0 width=187 align=center bgcolor=#ffffff> '.
              tep_draw_form('manufacturers', tep_href_link(FILENAME_DEFAULT, '', 'NONSSL', false), 'get')
                   .'<tr><td height=16 bgcolor=#628AB3 class=ch colspan=2> &nbsp; <font color=#ffffff>Select manufacturer</font></td></tr>
                     <tr><td height=8 colspan=2></td></tr>
                     <tr><td align=center>
           ';      
      
      $manufacturers_array = array();
      while ($manufacturers = tep_db_fetch_array($manufacturers_query)) {
        $manufacturers_name = ((strlen($manufacturers['manufacturers_name']) > MAX_DISPLAY_MANUFACTURER_NAME_LEN) ? substr($manufacturers['manufacturers_name'], 0, MAX_DISPLAY_MANUFACTURER_NAME_LEN) . '..' : $manufacturers['manufacturers_name']);
        $manufacturers_array[] = array('id' => $manufacturers['manufacturers_id'],
                                       'text' => $manufacturers_name);
      }

      echo tep_draw_pull_down_menu('manufacturers_id', $manufacturers_array, (isset($HTTP_GET_VARS['manufacturers_id']) ? $HTTP_GET_VARS['manufacturers_id'] : ''), 'onChange="this.form.submit();" size="' . MAX_MANUFACTURERS_LIST . '" class=go') . tep_hide_session_id();
      echo ' </td><td> <input type=image src=images/m16.gif width=27 height=18></td></tr>
                     <tr><td height=10 colspan=2></td></tr>
                     <tr><td height=10 bgcolor=#E9E9E9 colspan=2></td></tr>
              </form>
             </table>
           ';
  }

?>

--------------------------------------      -->




  <table cellspacing=0 cellpadding=0 width=100% height=100%>
   <tr><td class=bg valign=top>


    <table cellspacing=0 cellpadding=0 width=712 align=center> 
     <tr><td height=26></td></tr>
     <tr><td>
          <table cellspacing=0 cellpadding=0>
           <tr><td valign=top><a href=<?=tep_href_link('index.php')?>><img src=images/m01.gif width=281 height=105 border=0></a></td>
               <td width=144 valign=middle>
                <table cellspacing=0 cellpadding=0 width=109 align=center>
                 <tr><td class=ch>Choose<br>your language:</td></tr>
                 <tr><td height=3></td></tr>
                 <tr><td>
<? // LANGUAGES

  if (!isset($lng) || (isset($lng) && !is_object($lng))) {
    include(DIR_WS_CLASSES . 'language.php');
    $lng = new language;
  }

  $languages_string = '';
  reset($lng->catalog_languages);
  while (list($key, $value) = each($lng->catalog_languages)) {
    $languages_string .= ' <a href="' . tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('language', 'currency')) . 'language=' . $key, $request_type) . '">' . tep_image(DIR_WS_LANGUAGES .  $value['directory'] . '/images/' . $value['image'], $value['name']) . '</a> ';
  }

  echo $languages_string;

?>     

                </td></tr>
                 <tr><td height=6></td></tr>                     
                 <tr><td class=ch><b>Currencies:</b></td></tr>
                 <tr><td height=2></td></tr>
                 <tr><td>
<? // CURRENCIES

    echo tep_draw_form('currencies', tep_href_link(basename($PHP_SELF), '', $request_type, false), 'get');

    reset($currencies->currencies);
    $currencies_array = array();
    while (list($key, $value) = each($currencies->currencies)) {
      $currencies_array[] = array('id' => $key, 'text' => $value['title']);
    }

    $hidden_get_variables = '';
    reset($HTTP_GET_VARS);
    while (list($key, $value) = each($HTTP_GET_VARS)) {
      if ( ($key != 'currency') && ($key != tep_session_name()) && ($key != 'x') && ($key != 'y') ) {
        $hidden_get_variables .= tep_draw_hidden_field($key, $value);
      }
    }

    echo tep_draw_pull_down_menu('currency', $currencies_array, $currency, 'onChange="this.form.submit();" style="width:110px " ') . $hidden_get_variables . tep_hide_session_id();
    echo '</form>';
    
?>               

              </td></tr>
                </table>                                                                              
               </td>
               <td><img src=images/m05.gif width=1 height=105></td>
               <td width=140 valign=middle>
                <table cellspacing=0 cellpadding=0 width=110 align=center>
                 <tr><td height=5></td></tr>
                 <tr><td><img src=images/m06.gif width=4 height=4 align=absmiddle> &nbsp; <a href=<?=tep_href_link('specials.php')?> class=ml>Specials</a></td></tr>
                 <tr><td height=2></td></tr>
                 <tr><td><img src=images/m06.gif width=4 height=4 align=absmiddle> &nbsp; <a href=<?=tep_href_link('advanced_search.php')?> class=ml>Search</a></td></tr>
                 <tr><td height=2></td></tr>
                 <tr><td><img src=images/m06.gif width=4 height=4 align=absmiddle> &nbsp; <a href=<?=tep_href_link('contact_us.php')?> class=ml>Contact Us</a></td></tr>
                 <tr><td height=2></td></tr>
                 <tr><td><img src=images/m06.gif width=4 height=4 align=absmiddle> &nbsp; <a href=<?=tep_href_link('create_account.php')?> class=ml>Create an account</a></td></tr>
                 <tr><td height=2></td></tr>
                 <tr><td><img src=images/m06.gif width=4 height=4 align=absmiddle> &nbsp; <a href=<?=tep_href_link('login.php')?> class=ml>Customer Login</a></td></tr>
                 <tr><td height=5></td></tr>
                </table>                                                               
               </td>
               <td><img src=images/m05.gif width=1 height=105></td>
               <td width=17></td>
               <td width=128 valign=middle>               
                <table cellspacing=0 cellpadding=0>
                 <tr><td height=20 colspan=2></td></tr>
                 <tr><td width=47><a href=<?=tep_href_link('shopping_cart.php')?> class=ml1><img src=images/m08.gif width=30 height=31 border=0></a></td><td class=ch1 width=81><b>Shopping<br>Cart</b></td></tr>                     
                 <tr><td height=3 colspan=2></td></tr>
                 <tr><td colspan=2 class=ch1>now in your cart &nbsp;<b><a href=<?=tep_href_link('shopping_cart.php')?> class=ml1><?=$cart->count_contents()?> items</a></b></td></tr>
                 <tr><td height=15 colspan=2></td></tr>
                </table>                                               
           </td></tr>
          </table>
          <table cellspacing=0 cellpadding=0>
           <tr><td background=images/m09.gif width=281 height=31></td>
               <td background=images/m10.gif width=431 height=31>


           </td></tr>
          </table>
          <table cellspacing=0 cellpadding=0>
          <tr><td><a href=<?=tep_href_link('index.php')?>><img src=images/m11.gif width=144 height=37 border=0></a><a href=<?=tep_href_link('products_new.php')?>><img src=images/m12.gif width=139 height=37 border=0></a><a href=<?=tep_href_link('account.php')?>><img src=images/m13.gif width=142 height=37 border=0></a><a href=<?=tep_href_link('shopping_cart.php')?>><img src=images/m14.gif width=142 height=37 border=0></a><a href=<?=tep_href_link('checkout_shipping.php')?>><img src=images/m15.gif width=145 height=37 border=0></a></td></tr>
           <tr><td height=16></td></tr>
          </table>
          <table cellspacing=0 cellpadding=0>
           <tr><td width=145 valign=top>
                <table cellspacing=0 cellpadding=0>
                 <tr><td colspan=2><img src=images/m16.gif width=145 height=36></td></tr>
                 <tr><td width=9 class=bg1></td>
                     <td bgcolor=#838689 width=136>
                      <table cellspacing=0 cellpadding=0 width=125>
                       <tr><td height=13></td></tr>


   



<?   // ---- CATEGORIES

  function tep_show_category($counter) {
    global $tree, $categories_string, $cPath_array;

   if(!$tree[$counter]['level']){               
                     
    $categories_string .= $categories_string ? '<tr><td><img src=images/m18.gif width=125 height=1></td></tr><tr><td height=4></td></tr>' : '';             

    $categories_string .= '<tr><td> &nbsp; &nbsp;<img src=images/m06.gif width=4 height=4 align=absmiddle> &nbsp; <a class=ml2 href=';
    
    if ($tree[$counter]['parent'] == 0) {
      $cPath_new = 'cPath=' . $counter;
    } else {
      $cPath_new = 'cPath=' . $tree[$counter]['path'];
    }
    $categories_string .= tep_href_link('index.php', $cPath_new) . '>';
// display categry name
    $categories_string .= $tree[$counter]['name'];
    $categories_string .= '</a></td></tr><tr><td height=4></td></tr>';
   
   }else{  // SUBCATEGORY
   
    $categories_string .= '<tr><td>&nbsp; &nbsp; &nbsp;&nbsp;';

    for($i=0;$i<$tree[$counter]['le vel'];$i++)
     $categories_string .= '&nbsp;&nbsp;&nbsp;';
    
    $categories_string .= ' - <a class=ml2 style="font-weight:normal;" href=';   
    if ($tree[$counter]['parent'] == 0) {
      $cPath_new = 'cPath=' . $counter;
    } else {
      $cPath_new = 'cPath=' . $tree[$counter]['path'];
    }
    $categories_string .= tep_href_link('index.php', $cPath_new) . '>';
// display category name
    $categories_string .= $tree[$counter]['name'];
    $categories_string .= '</a></td></tr><tr><td height=4></td></tr>';
   }  

    if ($tree[$counter]['next_id'] != false) {
      tep_show_category($tree[$counter]['next_id']);
    }  
  }



  define(TABLE_CATEGORIES, "categories");
  define(TABLE_CATEGORIES_DESCRIPTION, "categories_description");
  $categories_string = '';
  $tree = array();

  $categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.parent_id = '0' and c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");
  while ($categories = tep_db_fetch_array($categories_query))  {
    $tree[$categories['categories_id']] = array('name' => $categories['categories_name'],
                                                'parent' => $categories['parent_id'],
                                                'level' => 0,
                                                'path' => $categories['categories_id'],
                                                'next_id' => false);

    if (isset($parent_id)) {
      $tree[$parent_id]['next_id'] = $categories['categories_id'];
    }

    $parent_id = $categories['categories_id'];

    if (!isset($first_element)) {
      $first_element = $categories['categories_id'];
    }
  }

  //------------------------
  if ($cPath) {
    $new_path = '';
    reset($cPath_array);
    while (list($key, $value) = each($cPath_array)) {
      unset($parent_id);
      unset($first_id);
      $categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.parent_id = '" . (int)$value . "' and c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");
      if (tep_db_num_rows($categories_query)) {
        $new_path .= $value;
        while ($row = tep_db_fetch_array($categories_query)) {
          $tree[$row['categories_id']] = array('name' => $row['categories_name'],
                                               'parent' => $row['parent_id'],
                                               'level' => $key+1,
                                               'path' => $new_path . '_' . $row['categories_id'],
                                               'next_id' => false);

          if (isset($parent_id)) {
            $tree[$parent_id]['next_id'] = $row['categories_id'];
          }

          $parent_id = $row['categories_id'];

          if (!isset($first_id)) {
            $first_id = $row['categories_id'];
          }

          $last_id = $row['categories_id'];
        }
        $tree[$last_id]['next_id'] = $tree[$value]['next_id'];
        $tree[$value]['next_id'] = $first_id;
        $new_path .= '_';
      } else {
        break;
      }
    }
  }
  $categories_string .=  '';
  tep_show_category($first_element); 
  $categories_string .=  '';

  echo $categories_string;
?>

                       <tr><td height=12></td></tr>                       
                      </table>
                 </td></tr>
                 <tr><td colspan=2 height=3></td></tr>
                 <tr><td colspan=2><a href=<?=tep_href_link('index.php', 'cPath=50')?>><img src=images/m19.jpg width=145 height=207 border=0></a></td></tr>
                </table>
               </td>
               <td width=3></td>
               <td width=564 valign=top>






